diff -purN OpenWrt-SDK-Linux-i686-1.orig/staging_dir_mipsel/usr/bin/net-snmp-config OpenWrt-SDK-Linux-i686-1/staging_dir_mipsel/usr/bin/net-snmp-config
--- OpenWrt-SDK-Linux-i686-1.orig/staging_dir_mipsel/usr/bin/net-snmp-config	2006-11-07 00:55:38.000000000 +0100
+++ OpenWrt-SDK-Linux-i686-1/staging_dir_mipsel/usr/bin/net-snmp-config	2010-03-03 17:57:44.000000000 +0100
@@ -8,6 +8,8 @@
 # link against the net-snmp libraries and hence must know about any
 # other libraries that must be linked in as well.
 
+STAGING_DIR=$TOPDIR/staging_dir_mipsel
+
 check_build_dir()
 {
       build_dir=$1
@@ -29,7 +31,7 @@ check_build_dir()
 
 prefix=/usr
 exec_prefix=/usr
-NSC_LDFLAGS="-L/var/tmp/florian/openwrt/branches/whiterussian/openwrt/staging_dir_mipsel/usr/lib -L/var/tmp/florian/openwrt/branches/whiterussian/openwrt/staging_dir_mipsel/lib"
+NSC_LDFLAGS="-L$STAGING_DIR/usr/lib -L$STAGING_DIR/lib"
 NSC_LIBDIR=-L/usr/lib
 NSC_LIBS="-lelf -lm "
 NSC_AGENTLIBS="-ldl -lelf -lm  "
@@ -66,10 +68,10 @@ else
       ;;
     #################################################### compile
     --base-cflags)
-      echo -Os -pipe -mips32 -mtune=mips32 -funit-at-a-time  -Dlinux -I/var/tmp/florian/openwrt/branches/whiterussian/openwrt/staging_dir_mipsel/usr/include -I/var/tmp/florian/openwrt/branches/whiterussian/openwrt/staging_dir_mipsel/include -I/usr/include
+      echo -Os -pipe -mips32 -mtune=mips32 -funit-at-a-time  -Dlinux -I$STAGING_DIR/usr/include -I$STAGING_DIR/include
       ;;
     --cflags)
-      echo -Os -pipe -mips32 -mtune=mips32 -funit-at-a-time  -Dlinux  -I/var/tmp/florian/openwrt/branches/whiterussian/openwrt/staging_dir_mipsel/usr/include -I/var/tmp/florian/openwrt/branches/whiterussian/openwrt/staging_dir_mipsel/include -I. -I/usr/include
+      echo -Os -pipe -mips32 -mtune=mips32 -funit-at-a-time  -Dlinux  -I$STAGING_DIR/usr/include -I$STAGING_DIR/include -I.
       ;;
     --srcdir)
       echo $NSC_SRCDIR
@@ -409,7 +411,7 @@ EOF
         echo "Ack.  Can't create $tmpfile."
 	exit 1
       fi
-      cmd="/var/tmp/florian/openwrt/branches/whiterussian/openwrt/staging_dir_mipsel/bin/mipsel-linux-uclibc-gcc $cflags -Os -pipe -mips32 -mtune=mips32 -funit-at-a-time  -Dlinux  -I. -I/usr/include -o $outname $tmpfile $cfiles $NSC_LDFLAGS -L$NSC_EXEC_PREFIX/lib -lnetsnmpagent -lnetsnmphelpers -lnetsnmpmibs -lnetsnmp $NSC_AGENTLIBS  $ldflags"
+      cmd="$STAGING_DIR/bin/mipsel-linux-uclibc-gcc $cflags -Os -pipe -mips32 -mtune=mips32 -funit-at-a-time  -Dlinux  -I. -o $outname $tmpfile $cfiles $NSC_LDFLAGS -L$NSC_EXEC_PREFIX/lib -lnetsnmpagent -lnetsnmphelpers -lnetsnmpmibs -lnetsnmp $NSC_AGENTLIBS  $ldflags"
       echo "running: $cmd"
       `$cmd`
       if test "x$norm" != "x1" ; then
diff -purN OpenWrt-SDK-Linux-i686-1.orig/staging_dir_mipsel/usr/include/net-snmp/library/snmpCallbackDomain.h OpenWrt-SDK-Linux-i686-1/staging_dir_mipsel/usr/include/net-snmp/library/snmpCallbackDomain.h
--- OpenWrt-SDK-Linux-i686-1.orig/staging_dir_mipsel/usr/include/net-snmp/library/snmpCallbackDomain.h	1970-01-01 01:00:00.000000000 +0100
+++ OpenWrt-SDK-Linux-i686-1/staging_dir_mipsel/usr/include/net-snmp/library/snmpCallbackDomain.h	2010-03-05 12:18:33.000000000 +0100
@@ -0,0 +1,70 @@
+#ifndef _SNMPCALLBACKDOMAIN_H
+#define _SNMPCALLBACKDOMAIN_H
+
+#ifndef NET_SNMP_CONFIG_H
+#error "Please include <netsnmp/net-snmp-config.h> before this file"
+#endif
+
+#ifdef __cplusplus
+extern          "C" {
+#endif
+
+#ifdef SNMP_TRANSPORT_CALLBACK_DOMAIN
+
+#include <net-snmp/library/snmp_transport.h>
+
+typedef struct netsnmp_callback_pass_s {
+    int             return_transport_num;
+    netsnmp_pdu    *pdu;
+    struct netsnmp_callback_pass_s *next;
+} netsnmp_callback_pass;
+
+typedef struct netsnmp_callback_info_s {
+    int             linkedto;
+    void           *parent_data;
+    netsnmp_callback_pass *data;
+    int             callback_num;
+    int             pipefds[2];
+} netsnmp_callback_info;
+
+netsnmp_transport *netsnmp_callback_transport(int);
+int             netsnmp_callback_hook_parse(netsnmp_session * sp,
+                                            netsnmp_pdu *pdu,
+                                            u_char * packetptr,
+                                            size_t len);
+int             netsnmp_callback_hook_build(netsnmp_session * sp,
+                                            netsnmp_pdu *pdu,
+                                            u_char * ptk, size_t * len);
+int             netsnmp_callback_check_packet(u_char * pkt, size_t len);
+netsnmp_pdu    *netsnmp_callback_create_pdu(netsnmp_transport *transport,
+                                            void *opaque, size_t olength);
+netsnmp_session *netsnmp_callback_open(int attach_to,
+                                       int (*return_func) (int op,
+                                                           netsnmp_session
+                                                           * session,
+                                                           int reqid,
+                                                           netsnmp_pdu
+                                                           *pdu,
+                                                           void *magic),
+                                       int (*fpre_parse) (netsnmp_session
+                                                          *,
+                                                          struct
+                                                          netsnmp_transport_s
+                                                          *, void *, int),
+                                       int (*fpost_parse) (netsnmp_session
+                                                           *,
+                                                           netsnmp_pdu *,
+                                                           int));
+void             netsnmp_clear_callback_list(void);
+
+#else
+
+#define netsnmp_clear_callback_list()
+
+     
+#endif /*SNMP_TRANSPORT_CALLBACK_DOMAIN*/
+
+#ifdef __cplusplus
+}
+#endif
+#endif/*_SNMPCALLBACKDOMAIN_H*/
diff -purN OpenWrt-SDK-Linux-i686-1.orig/staging_dir_mipsel/usr/include/net-snmp/net-snmp-config.h OpenWrt-SDK-Linux-i686-1/staging_dir_mipsel/usr/include/net-snmp/net-snmp-config.h
--- OpenWrt-SDK-Linux-i686-1.orig/staging_dir_mipsel/usr/include/net-snmp/net-snmp-config.h	2006-11-07 00:55:35.000000000 +0100
+++ OpenWrt-SDK-Linux-i686-1/staging_dir_mipsel/usr/include/net-snmp/net-snmp-config.h	2010-03-05 12:15:48.000000000 +0100
@@ -868,19 +868,29 @@
 /* #undef HAVE_XTI_H */
 
 /* Define to the address where bug reports for this package should be sent. */
+#ifndef PACKAGE_BUGREPORT
 #define PACKAGE_BUGREPORT "net-snmp-coders@lists.sourceforge.net"
+#endif
 
 /* Define to the full name of this package. */
+#ifndef PACKAGE_NAME
 #define PACKAGE_NAME "Net-SNMP"
+#endif
 
 /* Define to the full name and version of this package. */
+#ifndef PACKAGE_STRING
 #define PACKAGE_STRING "Net-SNMP 5.1.2"
+#endif
 
 /* Define to the one symbol short name of this package. */
+#ifndef PACKAGE_TARNAME
 #define PACKAGE_TARNAME "net-snmp"
+#endif
 
 /* Define to the version of this package. */
+#ifndef PACKAGE_VERSION
 #define PACKAGE_VERSION "5.1.2"
+#endif
 
 /* Define as the return type of signal handlers (`int' or `void'). */
 #define RETSIGTYPE void
